Subject: Re: bug#16253: 24.3.50; Irrelevant warnings from gnutls

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Feb 2014 19:01:16 -0800

Ted Zlatanov <[email-masked]> writes:

> OK.  I will log them to a special " *TLS errors*" buffer.  That's a good
> balance.

Yeah, that would be good.  And perhaps limit the size of the buffer.

> Doing that from C is not obvious, compared to the standard `message'
> function.  Any hints?  Should I just call `Fget-buffer-create' and
> call functions to append to the returned buffer Lisp_Object, or is there
> a magical equivalent?

I just had a look at message_dolog (which puts data into the *Messages*
buffer).  It didn't look pretty...  Is all that really necessary?

> Also, I think we should add that buffer, plus the version of GnuTLS and
> the priority string, to bug reports.  WDYT?

For all Emacs bug reports?  Hm...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/